import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as v } from "./PieIconComponent.js";
import { safeCustomElement as a } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, u = Object.getOwnPropertyDescriptor, l = (c, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, o) : t, i = c.length - 1, p; i >= 0; i--)
    (p = c[i]) && (e = (r ? p(t, o, e) : p(e)) || e);
  return r && e && f(t, o, e), e;
};
let s = class extends v {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--bug", this.class = "c-pieIcon c-pieIcon--bug", this.name = "IconBug";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--bug"><path d="m12.156 5.83 1.969-1.243V3.03L11.5 4.719h-.245a3.273 3.273 0 0 0-6.423 0h-.288L1.875 3.03v1.557L3.844 5.83v1.514H1v1.312h2.844v1.514l-1.969 1.242v1.558l2.109-1.339a4.139 4.139 0 0 0 8.032 0l2.109 1.339v-1.558l-1.969-1.242V8.656H15V7.344h-2.844V5.83ZM8 3.406A1.96 1.96 0 0 1 9.846 4.72H6.154A1.96 1.96 0 0 1 8 3.406Zm2.844 7.219a2.844 2.844 0 0 1-5.688 0V6.031h5.688v4.594Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = l([
  a("icon-bug")
], s);
export {
  s as IconBug
};
